<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [buyCoffee](./bitburner.officeapi.buycoffee.md)

## OfficeAPI.buyCoffee() method

Buy coffee for your employees

<b>Signature:</b>

```typescript
buyCoffee(divisionName: string, cityName: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |

<b>Returns:</b>

Promise&lt;void&gt;

A promise that is fulfilled when the coffee is served.

